story/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('story8/', include('story8.urls')),
    path('', include('story9.urls')),
    path('story7/', include('storyku.urls')),
   

] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

story8/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views


urlpatterns = [
    path('data/', views.data, name='data' ),
    path('', views.indexBook ,name='indexBook'),
]

story9/urls.py
from django.urls import path
from .views import logIn, signUp, logOut

urlpatterns = [
    path('', logIn, name='login'),
    path('signup/', signUp, name='signup'),
    path('logout/', logOut, name='logout'),
]

storyku/urls.py
from django.urls import path, include
from . import views

app_name = 'storyku'

urlpatterns = [
    path('', views.index, name='index'),
]

story8/models.py
from django.db import models

# Create your models here.

story9/models.py
from django.db import models
from django.contrib.auth.models import User
# Create your models here.

storyku/models.py
from django.db import models

# Create your models here.

story9/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm, AuthenticationForm


class LoginForm(AuthenticationForm):
    username = forms.CharField(label="Username", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'id' : 'signIn-username',
        'placeholder' : 'Username',
        'type' : 'text',
        'style' : 'width: 20vw;',
        'required' : True
    }))

    password = forms.CharField(label="Password", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'id' : 'signIn-password',
        'placeholder' : 'Password',
        'type' : 'password',
        'style' : 'width: 20vw;',
        'required' : True
    }))

class SignUpForm(UserCreationForm):
    first_name = forms.CharField(label="First name", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'id' : 'signUp-firstName',
        'placeholder' : 'First name',
        'type' : 'text',
        'style' : 'width: 30vw;',
        'required' : True
    }))

    last_name = forms.CharField(label="Last name", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'placeholder' : 'Last name',
        'id' : 'signUp-lastName',
        'type' : 'text',
        'style' : 'width: 30vw;',
        'required' : True
    }))

    username = forms.CharField(label="Username", widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'id' : 'signUp-username',
        'placeholder' : 'Username',
        'type' : 'text',
        'style' : 'width: 30vw;',
        'required' : True
    }))

    password1 = forms.CharField(label="Password", widget=forms.PasswordInput(attrs={
        'class' : 'form-control',
        'id' : 'signUp-password1',
        'placeholder' : 'Password',
        'type' : 'password',
        'style' : 'width: 30vw;',
        'required' : True
    }))
    password2 = forms.CharField(label="Confirm password", widget=forms.PasswordInput(attrs={
        'class' : 'form-control',
        'id' : 'signUp-password2',
        'placeholder' : 'Confirm Password',
        'type' : 'password',
        'style' : 'width: 30vw;',
        'required' : True
    }))

class Meta:
    model = User
    fields = ['first_name', 'last_name', 'username', 'password1', 'password2']

story8/views.py
import requests
from django.shortcuts import render
from django.http import HttpResponse
from django.http import JsonResponse
import json


def data(request):
	try:
		q = request.GET['q']

	except:
		q = 'quilting'

	json_read = requests.get('https://www.googleapis.com/books/v1/volumes?q=' + q).json()
	return JsonResponse(json_read)

def indexBook(request):
    return render(request,'indexBook.html')

story9/views.py
from django.shortcuts import render, redirect
from .forms import LoginForm, SignUpForm
from django.contrib.auth.models import User
from django.contrib.auth import authenticate, login, logout
from django.contrib import messages
from django.contrib.auth.forms import UserCreationForm, AuthenticationForm


# Create your views here.
def logIn(request):
    if request.method == "POST":
        form = LoginForm(data = request.POST)

        if form.is_valid():
            usernameInput = request.POST["username"]
            passwordInput = request.POST["password"]

            print(usernameInput, passwordInput)
            user = authenticate(request, username = usernameInput, password = passwordInput)

            if user is not None:
                login(request, user)
                return redirect('login')

        else:
            messages.error(request, 'Invalid entry')

    else:
        form = LoginForm()

    context = {
        "form" : form,
    }

    return render(request, "login.html", context)

def signUp(request):
    if request.method == 'POST':
        form = SignUpForm(request.POST)

        if form.is_valid():
            user = form.save()
            login(request, user)
            return redirect("login")

        else:
            for msg in form.error_messages:
                messages.error(request, 'Invalid entry')

    else:
        form = SignUpForm()

    context = {
        'form' : form
    }

    return render(request, "signup.html", context)

def logOut(request):
    logout(request)
    return redirect("login")

storyku/views.py
from django.http import HttpResponse
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request, 'index.html')

story8/templates/indexBook.html
{% extends 'base.html' %}

{% load static %}
{% block content %}
    <div class="container">
        <div class="row">
            <div class="col-6">
                    <div class="card text-white bg-dark mb-3 mt-5 sticky-top" style="position: fixed;">
                            <div class="card-body">
                              <h3 class="card-title">What Book Do You Want To Search?</h3>
                              <form id="myform">
                                <input class="form-control form-control-lg card-title" type="search" id="books" placeholder="Search books">
                              </form>
                              <div>
                                <a class="btn btn-light" href="/" role="button">Back</a>
                              </div>
                            </div>
                          </div>
                         
            </div>
           
                          
            <div class="col-6">
                <div id="result">

                </div>
        </div>
      
    </div>
</div>

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/js/materialize.min.js"></script>
	<script src="{% static 'books.js' %}"></script>
  {% endblock content %}

story9/templates/base.html
{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

    <!-- FONTS -->
    <link href="https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,300;0,400;0,700;0,900;1,700;1,900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Noto+Sans+HK:wght@400;500;700&family=Work+Sans:wght@400;500;700&display=swap" rel="stylesheet">
    
    <!-- CUSTOM CSS -->
    <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}" id="story7CSS">     
    <link rel="stylesheet" type="text/css" href="{% static 'books.css' %}" id="story8CSS"> 
    <link rel="stylesheet" type="text/css" href="{% static 'story9.css' %}">  
   

    <!-- JQUERY -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
  
    
    <title>Najla / PPW</title>
  </head>
  <body>

    {% block content %}
    {% endblock content %}

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.4.1.js"></script>
    <script type="text/javascript" src="{% static 'js/story7.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/books.js' %}"></script>
    
    

  </body>
</html>

story9/templates/login.html
{% extends 'base.html' %}

{% load static %}
{% block content %}

<div class="main-story10 d-flex flex-column justify-content-center">
    <div class="row">
        <div class="left-side d-flex flex-column">

                <!-- Sidebar Menu -->
                <div class="ml-5 mt-5 mb-3">
                    {% include 'navbar.html' %}
                </div>
                
                <!-- Header Text -->
                <div class="header-about ml-5 mt-3">
                    <h1>Hello, <br> there!</h1>
                </div>
        
        </div>

        <div class="right-page col justify-content-center">
            {% if user.is_authenticated == False %}
            <div class="login content mx-5 my-5">
                {% if messages %}
                    {% for message in messages %}
                        <p>{{message}}</p>
                    {% endfor %}
                {% endif %}
                <div class="title">
                    <h3>Sign in</h3>
                </div>
                <div class="login-form">
                    <form method="POST">
                        {% csrf_token %} 
                        {{ form }}
                        <div>
                            <button type="submit" name="btn-login" id="btn-logIn" class="btn btn-dark mt-4">LOGIN</button>
                        </div>
                    </form>
                </div>

                <div class="info mt-5">
                    <p>
                        Don't have an account? <a class="sign-up-in-link" href="{% url 'signup' %}"><strong>Sign up.</strong></a>
                    </p>
                </div>
            </div>

            {% else %}
                <div class="success mt-5 ml-5">
                    <div class="btn-logout">
                        <form action="{% url 'logout' %}">
                            <input type="submit" id="btn-logOut" class="btn btn-dark" value="Log out">
                        </form>
                    </div>

                    <div class="greeting mt-5">
                        <h3>Welcome,</h3>
                        <h1 style="font-weight: 800px;"><span class="highlight">{{user.username}}.</span></h1>
                        <h4 style="font-weight: 800px;"><span class="highlight">{{user.profile.bio}}.</span></h4>
                        <h4 style="font-weight: 800px;"><span class="highlight">{{user.profile.img}}.</span></h4>
                    </div>
                </div>
            {% endif %}
        </div>
    </div>


</div>


{% endblock content %}

story9/templates/navbar.html
<nav id="sidebar2" class="mb-3">
    <li class="active">
        <a href="#homeSubmenu" data-toggle="collapse" type=button aria-expanded="false" class="dropdown-toggle btn-toggle">Menu</a>
        <ul class="collapse list-unstyled" id="homeSubmenu">
            <li>
                <a href="{% url 'storyku:index' %}">Story7</a>
            </li>
            <li>
                <a href="{% url 'indexBook' %}">Story8</a>
            </li>
            
        </ul>
    </li>
</nav>

story9/templates/signup.html
{% extends 'base.html' %}

{% load static %}
{% block content %}

<div class="main-story10 d-flex flex-column justify-content-center">
    {% if messages %}
        {% for message in messages %}
            <p>{{message}}</p>
        {% endfor %}
    {% endif %}
    
    <div class="row">
        <div class="left-side d-flex flex-column">
            <!-- Sidebar Menu -->
            <div class="ml-5 mt-5 mb-3">
                {% include 'navbar.html' %}
            </div>
            
            <!-- Header Text -->
            <div class="header-about ml-5 mt-3">
                <h1>Hello, <br> there!</h1>
            </div>
        
        </div>

        <div class="right-page col">
            <div class="login-content mx-5 my-5">

                <div class="title">
                    <h3>Create a new account</h3>
                </div>
            
            <div class="register-form">
                <form method="POST">
                    {% csrf_token %} 
                    {{ form }}
                    <div>
                        <button type="submit" name="btn-signup" id='btn-signUp' class="btn btn-dark mt-4">SIGN UP</button>
                    </div>
                </form>
            </div>
        
            <div class="info mt-5">
                <p>
                    Have an account already? <a class="sign-up-in-link" href="{% url 'login' %}"><strong>Sign in.</strong></a>
                </p>
            </div>
        </div>
    </div> 
</div>

{% endblock content %}

storyku/templates/index.html
{% load static %}

<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <link rel="stylesheet" href="{% static 'style.css' %}">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

  <title>Story 7 Najla</title>
  </head>

<body>
        <div class="container">
          <div class="jumbotron">
                <h2 style="color: beige; font-size: 40px; font-weight: 400;" >NAJLA'S LIFE</h2>
                <a class="btn btn-warning" href="/" role="button">Back</a>
          </div>
                <div class="panel-group" id="accordion">
                    <div class="panel">
                        <div class="panel-heading">
                            <span class = "pull-right">
                                <div class="accordion-buttons col-2 d-flex justify-content-flex">
                                  <div class="button-up">
                                      <button type="button" id="button-up" data-parent=#accordion class="btn btn-default up glyphicon glyphicon-chevron-up"></button>
                                  </div>
                                  <div class="button-down">
                                      <button type="button" id="button-down" data-parent=#accordion class="btn btn-default up glyphicon glyphicon-chevron-down"></button>
                                  </div>
                                </div>
                              </span>
                          <h4 class="panel-title">
                              <button class="btn" style="color: olive; background: transparent;" type="button" data-parent=#accordion data-toggle="collapse"
                              data-target="#collapse1" aria-expanded="false" aria-controls="collapse1">
                              <strong> MY ACTIVITY </strong>
                            </button>
                          </h4>
                        </div>
                        <div id="collapse1" class="panel-collapse collapse">
                          <div class="panel-body">
                            Mengakses scele untuk update seputar perkuliahan kemudian mengerjakan tugas, diselingi dengan menonton video di youtube, 
                            menulis tweet di twitter, nge-scroll tiktok,
                            nge-scroll instagram. 
                          </div>
                        </div>
                      </div>
                      <div class="panel">
                          <div class="panel-heading">
                              <span class = "pull-right">
                                  <div class="accordion-buttons col-2 d-flex justify-content-flex">
                                      <div class="button-up">
                                          <button type="button" id="button-up" data-parent=#accordion class="btn btn-default glyphicon glyphicon-chevron-up"></button>
                                      </div>
                                      <div class="button-down">
                                          <button type="button" id="button-down" data-parent=#accordion class="btn btn-default glyphicon glyphicon-chevron-down"></button>
                                      </div>
                                    </div>
                                </span>
                            <h4 class="panel-title">
                                <button class="btn" style="color: olive; background: transparent;"  type="button" data-parent=#accordion data-toggle="collapse"
                                data-target="#collapse2" aria-expanded="false" aria-controls="collapse2">
                                <strong> MY EXPERIENCE </strong>
                              </button>
                            </h4>
                          </div>
                          <div id="collapse2" class="panel-collapse collapse">
                            <div class="panel-body">
                                <ul>
                                    Sekretaris Wisuda Virtual UI tingkat fakultas : Fasilkom UI <br>
                                    Staff FnB Compfest 12 tp karena online jadi ngurus seminar<br>
                                    Staff Bazaar dan Konsumsi Perak 2020 <br>
                                    SMP dan SMA OSIS, sebenernya SMA PK sih.
                                  </ul>
                            </div>
                          </div>
                        </div>
                  <div class="panel">
                    <div class="panel-heading">
                        <span class = "pull-right">
                            <div class="accordion-buttons col-2 d-flex justify-content-flex">
                                <div class="button-up">
                                    <button type="button" id="button-up" data-parent=#accordion class="btn btn-default up glyphicon glyphicon-chevron-up"></button>
                                </div>
                                <div class="button-down">
                                    <button type="button" id="button-down" data-parent=#accordion class="btn btn-default up glyphicon glyphicon-chevron-down"></button>
                                </div>
                              </div>
                          </span>
                      <h4 class="panel-title">
                          <button class="btn" style="color: olive; background: transparent;"  type="button" data-parent=#accordion data-toggle="collapse"
                          data-target="#collapse3" aria-expanded="false" aria-controls="collapse3">
                          <strong> MY HOBBY </strong>
                        </button>
                      </h4>
                    </div>
                    <div id="collapse3" class="panel-collapse collapse">
                      <div class="panel-body">
                          <ul>
                              Main among us, menunda - nunda pekerjaan, mengeluh hehehe.
                            </ul>
                      </div>
                    </div>
                  </div>
                  <div class="panel">
                    <div class="panel-heading">
                        <span class = "pull-right">
                            <div class="accordion-buttons col-2 d-flex justify-content-flex">
                                <div class="button-up">
                                    <button type="button" data-parent=#accordion class="btn btn-default up glyphicon glyphicon-chevron-up"></button>
                                </div>
                                <div class="button-down">
                                    <button type="button" data-parent=#accordion class="btn btn-default up glyphicon glyphicon-chevron-down"></button>
                                </div>
                              </div>
                          </span>
                      <h4 class="panel-title">
                          <button class="btn" style="color: olive; background: transparent;"  type="button" data-parent=#accordion data-toggle="collapse"
                          data-target="#collapse4" aria-expanded="false" aria-controls="collapse4">
                          <strong> MY CONTACT </strong>
                        </button>
                      </h4>
                    </div>
                    <div id="collapse4" class="panel-collapse collapse">
                      <div class="panel-body">
                          <ul>
                              Instagram : najlailaaa <br>
                              Twitter : nnotsopopular <br>
                              Line : najlalat<br>
                            </ul>
                      </div>
                    </div>
                  </div> 
                </div>
                
                </div>
              

              <script src="{% static 'story7.js' %}"></script>
</body>
</html>